require 'money'
require 'active_record'
require 'active_support'
require 'active_support/core_ext'
require 'api_banking'

require "starkit_banking/version"

require_relative "starkit_banking/models/api_step"

require_relative "starkit_banking/api/client"
require_relative "starkit_banking/api/environment"
require_relative "starkit_banking/api/factory"

require_relative "starkit_banking/api/ybl/account/balance"
require_relative "starkit_banking/api/ybl/account/mini_statement"
require_relative "starkit_banking/api/ybl/payment/ft2"
require_relative "starkit_banking/api/ybl/payment/imt"
require_relative "starkit_banking/api/ybl/payment/get_status"

require_relative "starkit_banking/api/ybl/beneficiary/imt"

require_relative "starkit_banking/concerns/api_step_concern"
require_relative "starkit_banking/concerns/bank_account"
require_relative "starkit_banking/concerns/payment"

require_relative "starkit_banking/api/rbl/account/mini_statement"
require_relative "starkit_banking/api/rbl/account/balance"
require_relative "starkit_banking/api/rbl/payment/ft2"
require_relative "starkit_banking/api/rbl/payment/get_status"

module StarkitBanking
  # Your code goes here...
end
